SystemOrganization addCategory: #'Ma exception handling-exceptions'!

Notification subclass: #MaNotification
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

MaNotification subclass: #MaNetworkNotification
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaNotification methodsFor: 'as yet unclassified' stamp: 'cmm 3/28/2005 21:52'!
messageText

	^super messageText ifNil: [ self species name, ' - no detailed message available' ]! !

!Exception methodsFor: '*ma exception handling' stamp: 'cmm 8/11/2002 23:35'!
maIsException

	^true! !

Warning subclass: #MaWarning
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

Error subclass: #MaError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaError commentStamp: '<historical>' prior: 0!
Base abstraction for errors that occur in Ma code.!

MaError subclass: #MaCorruptionError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

MaError subclass: #MaEnvironmentError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

MaEnvironmentError subclass: #MaHardwareError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaHardwareError commentStamp: '<historical>' prior: 0!
A hardware error occurs when a computing resource runs out of resources or fails.  Examples includes running out of disk storage, out of physical memory, network cable cut, etc.!

MaEnvironmentError subclass: #MaNetworkError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaError methodsFor: 'as yet unclassified' stamp: 'cmm 12/19/2002 23:24'!
copyAttributes: anArray from: sourceObject

	anArray do:
		[ :each |
		self
			instVarNamed: each asString
			put: (sourceObject instVarNamed: each) copy ]! !

!MaError methodsFor: 'as yet unclassified' stamp: 'cmm 8/26/2005 16:39'!
copyWithAttributes: anArray
	"anArray of instVar names in the receiver."

	| copy |
	^(copy := self copy)
		copyAttributes: anArray
		from: copy! !

!MaError methodsFor: 'as yet unclassified' stamp: 'cmm 2/25/2003 18:02'!
isUserError

	^false! !

MaError subclass: #MaSecurityViolation
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

MaError subclass: #MaSoftwareError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaSoftwareError commentStamp: 'cmm 5/4/2005 10:25' prior: 0!
A software error is a bug in the software.  Signal them when you have to code for something that "should never happen."  For example, if, based on your program logic, there should be an entry in a Dictionary, but it is not there, you would signal a software error.!

MaError subclass: #MaUserError
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Ma exception handling-exceptions'!

!MaUserError commentStamp: '<historical>' prior: 0!
I represent an error made by the user.!

!MaUserError methodsFor: 'as yet unclassified' stamp: 'cmm 2/25/2003 18:01'!
isUserError

	^true! !

!Object methodsFor: '*ma exception handling' stamp: 'cmm 2/15/2002 00:02'!
maIsException

	^false
! !
